<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});
</script>

<?php
include '../../inc/inc.koneksi.php';

$tanggal= $_GET[tgl];
$cari	= $_GET[cari];

echo "<table id='theList' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Akun</th>
			<th>Debet</th>
			<th>Kredit</th>
		</tr>";
		
		$query1= "SELECT a.noakun,a.naakun,b.nobb FROM akun_bb as a JOIN akun_bp as b ON b.nobb=a.noakun GROUP BY b.nobb";
		$data1	= mysql_query($query1);
		$jml=1;
		$tdebet=0;
		$tkredit=0;
		
		while($r_data1=mysql_fetch_array($data1)){
			$nobb=$r_data1[nobb];

			echo "<tr>
				<td></td>
				<td><b>$r_data1[nobb]</b></td>	
				<td><b>$r_data1[naakun]</b></td>
			</tr>";
			
			if (!empty($cari)){
				$sql	= "SELECT * FROM akun_bp WHERE (naakun LIKE '%$cari%' or noakun LIKE '%$cari%') AND nobb='$nobb' ORDER BY noakun";
			}else{
				$sql	= "SELECT * FROM akun_bp WHERE nobb='$nobb' ORDER BY noakun";
			}
			$query = mysql_query($sql);
		
			$no=1;
			$sdebet=0;
			$skredit=0;
			while($r=mysql_fetch_array($query)){
				if($r[kode]=='D'){
					$debet=$r[saldo]+$r[mutasi_db]-$r[mutasi_kd];
					$kredit='';
				}else{
					$kredit=$r[saldo]+$r[mutasi_kd]-$r[mutasi_db];
					$debet='';
				}
				$norek=$r[noakun];
				$kode=$r[kode];

				$query1 = mysql_query("SELECT sum(debet) as jdebet,sum(kredit) as jkredit FROM rekapjur WHERE tanggal>'$tanggal' AND nobp='$norek' AND batal='' GROUP BY nobp");
				$r1     = mysql_fetch_assoc($query1);
				
				if($kode=='D'){
					$mutasi=$r1[jdebet]-$r1[jkredit];
					$debet=$debet-$mutasi;
					$sdebet=$sdebet+$debet;
				}else{	
					$mutasi=$r1[jkredit]-$r1[jdebet];
					$kredit=$kredit-$mutasi;
					$skredit=$skredit+$kredit;
				}
				
				echo "<tr>
					<td>$no</td>
					<td>$r[noakun]</td>
					<td>$r[naakun]</td>					
					<td align='right'>".number_format($debet,0)."</td>
					<td align='right'>".number_format($kredit,0)."</td>
				</tr>";			
				$no++;				
			}
			echo "<tr>
				<td></td>
				<td></td>
				<td>Jumlah</td>
				<td align='right'>".number_format($sdebet,0)."</td>
				<td align='right'>".number_format($skredit,0)."</td>
				</tr>";
				$tdebet=$tdebet+$sdebet;
				$tkredit=$tkredit+$skredit;
		}
		echo "<tr>			
			<tr>
			<td></td>
				<td></td>
				<td>Total</td>
				<td align='right'>".number_format($tdebet,0)."</td>
				<td align='right'>".number_format($tkredit,0)."</td>
			</tr>";
				
	echo "</table>";
?>
